<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- Only root can own the SCP service -->
  <policy user="root">
    <allow own="com.ubuntu.StudentControlPanel"/>
  </policy>

  <!-- Allow anyone to recieve the messages we send -->
  <policy context="default">
    <allow receive_interface="com.ubuntu.StudentControlPanel.Comm"
	receive_sender="com.ubuntu.StudentControlPanel"/>
    <deny send_interface="com.ubuntu.StudentControlPanel.Comm"/>
  </policy>

  <!-- define who is allowed to send command messages -->
  <policy user="0">
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm"/>
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm.PutExecute"/>
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm.List"/>
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm.Exec"/>
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm.Kill"/>
    <allow send_interface="com.ubuntu.StudentControlPanel.Comm.Notify"/>
  </policy>
</busconfig>

